-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_HEADER_XROGUEBAR_TITLE"]  = "XBar";
getfenv()["BINDING_NAME_XROGUEBAR_SHOWHIDE"] = "Show/hide XRogueBar";

-- Spells
getfenv()["XRogueBarSpells"] = {
    "#Combat Abilities",
	"Shadow Step",
	"Cold Blood",
	"Blade Flurry",
	"Premeditation",
	"Slice and Dice",
	"Preparation",
	"Adrenaline Rush",
	" ",
    "#Survival Abilities",
	"Evasion",
	"Cloak of Shadows",
	"Blind",
	"Feint",
	"Vanish",
	"Sprint",
	"Kick",
	" ",
    "#Crowd Control",
	"Distract",
	"Sap",
	" ",
    "#Miscellaneous",
	"Stealth",
	"Pick Pocket",
	"Pick Lock",
	"Disarm Trap",
};

local i,v,c;

-- Auto-translate the spells
if (GetLocale() ~= "enUS") and (GetLocale() ~= "enGB") then
	if getfenv()["XBARLOCALIZER"] then
		for i,v in pairs(getfenv()["XRogueBarSpells"]) do
			c=strsub(getfenv()["XRogueBarSpells"][i],1,1);
			if c~=" " and c~="#" then
				getfenv()["XRogueBarSpells"][i]=XBar_BabbleSpell(getfenv()["XRogueBarSpells"][i]);
			end
		end
	else
		DEFAULT_CHAT_FRAME:AddMessage("XBarLocalizer not loaded.");
	end
end
